package com.naaturel.ANN.implementation.multiLayers;

import com.naaturel.ANN.domain.abstraction.AlgorithmStep;
import com.naaturel.ANN.domain.model.neuron.Neuron;

public class GradientBackpropagationStep implements AlgorithmStep {

    private GradientBackpropagationContext context;
    public GradientBackpropagationStep(GradientBackpropagationContext context) {
        this.context = context;
    }

    @Override
    public void run() {


    }


    private float calculateDeltaRecursive(Neuron n){

    }

}
